@media screen and (max-width: 400px) {
  header .v-spacer,
  header .v-responsive{
    display: none;
  }

  header button.v-btn  {
    padding: 0;
  }
}

#app main > .layout {
  height: calc(100dvh - 48px);
}

/*wwads*/
body .wwads-horizontal, 
body .wwads-vertical { background-color: #fafafa;}
.theme-dark-mode .wwads-horizontal, 
.theme-dark-mode .wwads-vertical {background-color: #252526;}
.theme-dark-mode .wwads-content .wwads-text, 
.theme-dark-mode .wwads-horizontal .wwads-text{color: inherit;}
@media screen and (min-width: 1650px){
  body .wwads-cn {
    position: fixed;
    bottom: 65px;
    left: 20px;
    z-index: 999999;
    width: 200px;
  }
  body .wwads-cn {
    top: 170px;
    right: 40px;
    bottom: auto;
    left: auto;
    width: 150px;
  }
  .wwads-tool-detail{display:none;}
  .theme-light-mode .wwads-cn {
    background-color: #f4f8fa;
  }
}

@media (max-width: 768px) {
  body .wwads-horizontal,
  body .wwads-vertical {
    display: none!important;
  }
}

@media (min-width: 769px) and (max-width: 1650px) {
  body .wwads-horizontal,
  body .wwads-vertical {
    margin: 0px !important;
    min-height: unset !important;
    height: 40px !important;
    padding: 0px !important;
    background: rgb(37 37 38 / 70%); !important;
    display: flex !important;
    position: fixed !important;
    z-index: 9999 !important;
    bottom: 0 !important;
    width: 100% !important;
    left: 0 !important;
  }  
  .theme-dark-mode body .wwads-horizontal,
  .theme-dark-mode body .wwads-vertical { background: rgb(68 68 77 / 85%);}
  .wwads-img {
    margin: 0 !important;
  }
  .wwads-img img {
    height: 40px !important;
    margin: 0px !important;
    width: auto !important;
  }
  .wwads-content {
    margin: 0 !important;
    height: 100% !important;
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    padding: 0 5px !important;
  }
  .wwads-content .wwads-text {
    overflow: hidden !important;
    display: block !important;
    font-size: 13px !important;
    color: #fff !important;
    white-space: nowrap !important;
    text-overflow: ellipsis !important;
    max-width: calc(100vw - 70px) !important;
  }
  .wwads-poweredby {
    position: absolute !important;
    margin: 0px !important;
    right: 5px !important;
    opacity: 0.5 !important;
    top: 5px !important;
  }
  .wwads-hide {
    right: -27px!important;
    bottom: -27px!important;
    background: rgb(37 37 38 / 70%);
  }
  .wwads-hide svg {
    left: 9px!important;
    top: 9px!important;
  }
}